| Haskell Hierarchical Libraries (readline package) | Source code | Contents | Index

System.Console.SimpleLineEditor

Portability | non-portable (unix-specific at the moment)
Stability | experimental
Maintainer | libraries@haskell.org

Description
A simple line editor, using the GNU readline library if available, or a small emulation otherwise.
Synopsis

initialise :: IO ()
restore :: IO ()
getLineEdited :: String -> IO (Maybe String)
delChars :: String -> IO ()

Documentation
initialise :: IO ()
Set up the environment so that the terminal passes characters directly into the Haskell program, for immediate interpretation by the line editor.
restore :: IO ()
Restore the environment so that the terminal is usable in normal mode once again.
getLineEdited :: String -> IO (Maybe String)
delChars :: String -> IO ()
Remove the given string from immediately behind (to the left of) the current cursor position.
Produced by Haddock version 0.8